cancel
Showing results for 
Search instead for 
Did you mean: 

Problems with migration from SAPDB 7.3.00.35 to MAXDB 7.6.00.35

Former Member
0 Kudos

Hello,

after some interupted sdbupd-sessions I have problems with the migration

Here are some informations from the log-file:

starting release is 7.3.0.54

STDOUT: migration strategy already known

migration strategy is CONSISTENT_DATA

STDOUT: running finalize check...

running finalize check for CONSISTENT_DATA...

STDOUT: looking for domain user...

user profile container contains:

superdba

CONTROL

domain

found domain user in user profile container

STDOUT: current database state is ADMIN

STDOUT: switch database state to OFFLINE

STDOUT: checking parameters...

STDOUT: switch database state to ADMIN

STDOUT: switch database state to ONLINE

cannot switch database mode, error during dbm command:

db_online

ERR

-24988,ERR_SQL: SQL error

-8049,Prepare migration required

looking for error messages in knldiag

...

2007-09-16 13:48:51 0x1784 ERR 20066 IOMan The inplace migration is not possible, because the migrate command was not executed in 7.2/7.3

I don't find useful informations for this situation.

Could i go back to SAPDB 7.3 to fix this issue ?

Thanks in Advance for Help

Accepted Solutions (0)

Answers (2)

Answers (2)

roland_mallmann
Employee
Employee
0 Kudos

Hi Frank,

I noticed you already filed an official ticket for your issue: 779493 2007.

OSS should remain the support channel of choice for official SAP customers.

My colleague Bernd gave you more or less the same recommendation as was done in the OSS message.

Regards,

Roland

0 Kudos

Hello Frank,

it looks like your software installation is inconsistent. The installer starts from 7.3.00.54 but the error message points to a higher release.

Please check:

> dbmcli inst_enum

> dbmcli db_enum -s

> dbmcli -d <yourdatabase> dbm_version

Check the version entry in your knldiag file or locate your kernel executable (it is not in the PATH) and check

> kernel -v

It depends on the state of your installation which will be the best way to solve the problem. There is a migration step necessary implemented only in the 7.3.00 software. It looks like this step was not executed in time.

If you have an appropriate backup it may be a good idea to start with 7.3.00. from the scratch.

The other way will be a downgrade to a consistent 7.3.00 installation. But I am afraid we have to turn back manually some migration steps already done.

Best regards

Bernd